class List
	begin
		int value;  
		^List next;
		void init( int value; ^List next; )
			begin
				this.value = value;
				this.next = next;
			end
	end

List a, b;

a.init( 3, b );
b.init( 4, null );

void printList( ^List a; ) 
	begin
		printf( "{ " );
		while a != null do
			printf( "%d", a.value );
			a = a.next;
			if a != null then
				printf( ", " );
			end
		end
		printf( " }\n" );
	end
	
printList( a );
